Subject: Re: bug#36878: guix system reconfigure broken

From: Robert Vollmert <[email-masked]>
Date: Wed, 31 Jul 2019 19:06:12 +0200

> On 31. Jul 2019, at 18:45, Jakob L. Kreuze <[email-masked]> wrote:
> Robert Vollmert <[email-masked]> writes:
> 
>> Hi,
>> 
>> it appears that commit 5c8c8c455420af27189d6045b3599fe6e27ad012
>> 
>>  guix system: Reimplement 'reconfigure’.
>> 
>> breaks guix system reconfigure. In particular, after reconfiguring,
>> shepherd doesn’t know about the updated versions of services.
>> 
>> The usual output below is missing; after reverting the commit it’s
>> fine again.
> 
> Could you please elaborate on what you mean by this? I can see that the
> ouput has changed, but is Shepherd doing something that indicates that
> it doesn't know about the new services?

The concrete problem is this:

1. nginx is running with config file A
2. make some change to nginx config
3. run guix system reconfigure (which builds a new nginx config file B)
4. run herd restart nginx
5. nginx is still running with config file A

After reverting this commit, if I perform these steps, I end up with
nginx running with config file B in 5.

> And is the line regarding
> bootloader installation also missing from 'guix system reconfigure'
> post-5c8c8c455?

I still get a bootloader line.

Cheers
Robert